<form [formGroup]="accountForm" autocomplete="off" (ngSubmit)="saveAccount()">
  <div class="form-group row" *ngIf="accountForm.get('id').value !== null">
    <label for="staticId" class="col-sm-2 col-form-label">ID</label>
    <div class="col-sm-10">
      <input class="form-control" type="text" nbInput fullWidth id="staticId" formControlName="id">
    </div>
  </div>
  <div class="form-group row">
    <label for="inputAccountname" class="col-sm-2 col-form-label">Account Name</label>
    <div class="col-sm-10">
      <input class="form-control" type="text" nbInput fullWidth id="inputAccountname" formControlName="username"
             [ngClass]="{'is-invalid':!accountForm.get('username').valid}"
             [status]="accountForm.get('username').touched && !accountForm.get('username').valid ? 'danger' : 'basic'">
      <div class="invalid-feedback" *ngFor="let err of accountForm.get('username').getError('backendErrors')">
        {{err}}
      </div>
    </div>
  </div>
  <div class="form-group row" *ngIf="accountForm.get('id').value === null">
    <label for="inputPassword" class="col-sm-2 col-form-label">Password</label>
    <div class="col-sm-10">
      <input class="form-control" type="password" nbInput fullWidth id="inputPassword" formControlName="password"
             [ngClass]="{'is-invalid':!accountForm.get('password').valid }"
             [status]="accountForm.get('password').touched && !accountForm.get('password').valid ? 'danger' : 'basic'">
      <div class="invalid-feedback" *ngFor="let err of accountForm.get('password').getError('backendErrors')">
        {{err}}
      </div>
    </div>
  </div>
  <div class="form-group row" *ngIf="accountForm.get('id').value !== null">
    <label for="inputCardId" class="col-sm-2 col-form-label">Card ID</label>
    <div class="col-sm-10">
      <input class="form-control" type="text" nbInput fullWidth id="inputCardId" formControlName="cardId"
             [ngClass]="{'is-invalid':!accountForm.get('cardId').valid}">
      <div class="invalid-feedback" *ngFor="let err of accountForm.get('cardId').getError('backendErrors')">
        {{err}}
      </div>
    </div>
  </div>
  <div class="form-group row" *ngIf="accountForm.get('id').value !== null">
    <label for="inputBalance" class="col-sm-2 col-form-label">Balance</label>
    <div class="col-sm-10">
      <div class="input-group">
        <input class="form-control" nbInput id="inputBalance" formControlName="balance" aria-label="Balance Currency"
               aria-describedby="addonBalanceCurrency"/>
        <div class="input-group-append">
          <span class="input-group-text" id="addonBalanceCurrency">EUR</span>
        </div>
      </div>
    </div>
  </div>
  <div class="form-group row">
    <label for="inputBalance" class="col-sm-2 col-form-label">Overdraft facility</label>
    <div class="col-sm-10">
      <div class="input-group">
        <input class="form-control" nbInput id="inputOverdraft" formControlName="overdraft"
               aria-label="Overdraft Facility Currency"
               aria-describedby="addonOverdraftCurrency"
               [ngClass]="{'is-invalid':!accountForm.get('overdraft').valid}">
        <div class="input-group-append">
          <span class="input-group-text" id="addonOverdraftCurrency">EUR</span>
        </div>
      </div>
      <div class="invalid-feedback" *ngFor="let err of accountForm.get('overdraft').getError('backendErrors')">
        {{err}}
      </div>
    </div>
  </div>
  <div class="form-group row">
    <label class="col-sm-2 col-form-label">Roles</label>
    <div class="col-sm-10">
      <div class="form-check" *ngFor="let role of roles; index as i;">
        <nb-checkbox id="roles_{{i}}"
                     [checked]="getAccountFormRolesArray().at(i)?.value !== null"
                     (change)="changeRoles(role, i, $event)"></nb-checkbox>
        <label class="form-check-label" for="roles_{{i}}">
          {{role.name}} <span *ngIf="role.discountPercent !== 0">(gets discount of {{role.discountPercent}}%)</span>
        </label>
      </div>
    </div>
  </div>
  <div class="form-group row" *ngIf="accountForm.get('id').value !== null">
    <div class="col-sm-2">Account State</div>
    <div class="col-sm-10">
      <div class="form-check">
        <nb-checkbox id="checkLocked" formControlName="locked"></nb-checkbox>
        <label class="form-check-label" for="checkLocked">
          Locked
        </label>
      </div>
    </div>
  </div>
  <div class="form-group row">
    <div class="col-sm-10">
      <button [disabled]="!accountForm.valid" type="submit" nbButton
              [status]="accountForm.dirty && accountForm.valid ? 'success' : 'danger'">
        <span *ngIf="accountForm.get('id').value !== null">UPDATE ACCOUNT</span>
        <span *ngIf="accountForm.get('id').value === null">CREATE ACCOUNT</span>
      </button>
    </div>
  </div>
</form>
